Package org.silverpeas.components.kmelia.service

## Class CmisKmeliaContributionsProvider

- java.lang.Object
- - org.silverpeas.components.kmelia.service.CmisKmeliaContributionsProvider

- All Implemented Interfaces:
    `org.silverpeas.core.cmis.CmisContributionsProvider`

      @Service
      @Named("kmeliaContributionsProviderForCMIS")
      public class CmisKmeliaContributionsProvider
      extends Object
      implements org.silverpeas.core.cmis.CmisContributionsProvider

  Providers of the user contributions managed in a Kmelia instance and to expose in the CMIS objects tree of Silverpeas.
  Author:
    mmoquillon

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.cmis.CmisContributionsProvider

      `org.silverpeas.core.cmis.CmisContributionsProvider.Constants`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CmisKmeliaContributionsProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.contribution.model.I18nContribution` | `createContribution​(org.silverpeas.core.contribution.model.I18nContribution contribution, org.silverpeas.core.ResourceIdentifier appId, String language)` |
    `org.silverpeas.core.contribution.model.I18nContribution` | `createContributionInFolder​(org.silverpeas.core.contribution.model.I18nContribution contribution, org.silverpeas.core.contribution.model.ContributionIdentifier folder, String language)` |
    `List<org.silverpeas.core.contribution.model.I18nContribution>` | `getAllowedContributionsInFolder​(org.silverpeas.core.contribution.model.ContributionIdentifier folder, org.silverpeas.core.admin.user.model.User user)` |
    `List<org.silverpeas.core.contribution.model.I18nContribution>` | `getAllowedRootContributions​(org.silverpeas.core.ResourceIdentifier appId, org.silverpeas.core.admin.user.model.User user)` |
    `org.silverpeas.core.contribution.model.I18nContribution` | `getContribution​(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId, org.silverpeas.core.admin.user.model.User user)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CmisKmeliaContributionsProvider

          public CmisKmeliaContributionsProvider()

  - ### Method Detail

    - #### getAllowedRootContributions

          public List<org.silverpeas.core.contribution.model.I18nContribution> getAllowedRootContributions​(org.silverpeas.core.ResourceIdentifier appId,
                                                                                                           org.silverpeas.core.admin.user.model.User user)

      Specified by:
        `getAllowedRootContributions` in interface `org.silverpeas.core.cmis.CmisContributionsProvider`

    - #### getAllowedContributionsInFolder

          public List<org.silverpeas.core.contribution.model.I18nContribution> getAllowedContributionsInFolder​(org.silverpeas.core.contribution.model.ContributionIdentifier folder,
                                                                                                               org.silverpeas.core.admin.user.model.User user)

      Specified by:
        `getAllowedContributionsInFolder` in interface `org.silverpeas.core.cmis.CmisContributionsProvider`

    - #### getContribution

          public org.silverpeas.core.contribution.model.I18nContribution getContribution​(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId,
                                                                                         org.silverpeas.core.admin.user.model.User user)

      Specified by:
        `getContribution` in interface `org.silverpeas.core.cmis.CmisContributionsProvider`

    - #### createContribution

          public org.silverpeas.core.contribution.model.I18nContribution createContribution​(org.silverpeas.core.contribution.model.I18nContribution contribution,
                                                                                            org.silverpeas.core.ResourceIdentifier appId,
                                                                                            String language)

      Specified by:
        `createContribution` in interface `org.silverpeas.core.cmis.CmisContributionsProvider`

    - #### createContributionInFolder

          public org.silverpeas.core.contribution.model.I18nContribution createContributionInFolder​(org.silverpeas.core.contribution.model.I18nContribution contribution,
                                                                                                    org.silverpeas.core.contribution.model.ContributionIdentifier folder,
                                                                                                    String language)

      Specified by:
        `createContributionInFolder` in interface `org.silverpeas.core.cmis.CmisContributionsProvider`